Get Single Value Set
1 min
GET
https://api.nue.io/metadata/valueSets/{valueSetName}
Path Parameters
- valueSetNamestringrequiredDescription
Responses
200
- CreateValueSetResponse
- apiNamestring
- namestring
- valuesValuePair[]
- apiNamestringExampleDescription
- namestringExampleDescription
- orderNumberinteger<int32>ExampleDescriptionFormatint32
- activebooleanExampleDescription
- defaultValuestring
- alphabeticallyOrderedboolean
curl
curl --request GET \
--url https://api.nue.io/metadata/valueSets/{valueSetName} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.nue.io/metadata/valueSets/{valueSetName}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.nue.io/metadata/valueSets/{valueSetName}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.nue.io/metadata/valueSets/{valueSetName}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// OK
{
"apiName": "",
"name": "",
"values": [
{
"apiName": "High",
"name": "High Priority",
"orderNumber": 1,
"active": true
}
],
"defaultValue": "",
"alphabeticallyOrdered": false
}